/*******************************************************************************
Copyright © 2024 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Ergänze eine Methode <code>berechne</code>, die den Differenzwert berechnet und zurückgibt. Achte darauf, die innere Sequenz so einfach wie möglich und ohne unnötige Variable zu programmieren.</p>",
	"code": "class DIFFERENZ {\n    int minuend;\n    int subtrahend;\n}",
	"canReset": true,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "DIFFERENZ",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "minuend",
					"type": "int",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "subtrahend",
					"type": "int",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "method",
					"name": "berechne",
					"type": [
						"int",
						"long"
					],
					"dimensions": 0,
					"final": false,
					"static": false,
					"params": [],
					"content": [
						" return this.minuend - this.subtrahend;",
						" return this.minuend - subtrahend;",
						" return minuend - this.subtrahend;",
						" return minuend - subtrahend;",
						" return (this.minuend - this.subtrahend);",
						" return (this.minuend - subtrahend);",
						" return (minuend - this.subtrahend);",
						" return (minuend - subtrahend);"
					]
				}
			]
		}
	]
}
